Bug 977125 - Review Request: nodejs-grunt-contrib-uglify - Minify files with UglifyJS
Review Request: nodejs-grunt-contrib-uglify - Minify files with UglifyJS
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Hughes
Fedora Extras Quality Assurance
: Reopened
Depends On: 977122 977126 1078458 1078463 1078470 1078475
Blocks: nodejs-reviews 969823 js-sizzle js-jquery1
  Show dependency treegraph
 
Reported: 2013-06-23 13:01 EDT by Jamie Nguyen
Modified: 2014-05-08 14:59 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-08 14:59:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tom: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jamie Nguyen 2013-06-23 13:01:29 EDT
Spec URL: http://jamielinux.fedorapeople.org/grunt/nodejs-grunt-contrib-uglify.spec
SRPM URL: http://jamielinux.fedorapeople.org/grunt/SRPMS/nodejs-grunt-contrib-uglify-0.2.2-1.fc19.src.rpm
Fedora Account System Username: jamielinux

Description:
Minify files with UglifyJS.
Comment 1 Zbigniew Jędrzejewski-Szmek 2013-10-07 20:12:18 EDT
Package looks correct. Upstream has unfortunately moved to v. 2.4 in the meantime.
Comment 3 Zbigniew Jędrzejewski-Szmek 2014-03-18 12:04:09 EDT
Note: npm package seems to have lost most of the contents, so sources are updated to a git tag checkout.
Comment 4 Jamie Nguyen 2014-03-19 13:50:27 EDT
This has a whole new dep tree to package. I prepared all of them last week and was waiting for js-zlib before opening review requests. Sorry I didn't do this earlier. You probably don't want to start reviewing this one yet Tom. I need to open requests for all of the deps.

Spec URL: http://jamielinux.fedorapeople.org/gruntjs/nodejs-grunt-contrib-uglify.spec
SRPM URL: http://jamielinux.fedorapeople.org/gruntjs/SRPMS/nodejs-grunt-contrib-uglify-0.4.0-1.fc21.src.rpm

* Wed Mar 12 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.4.0-1
- update to upstream release 0.4.0
Comment 5 Tom Hughes 2014-03-19 13:52:00 EDT
Oh right, and I thought it was finally ready ;-)
Comment 6 Jamie Nguyen 2014-03-19 13:54:09 EDT
(In reply to Tom Hughes from comment #5)
> Oh right, and I thought it was finally ready ;-)

Heh, almost! All the review requests should be opened within the next hour. I just need to put them through fedora-review, and check upstream haven't updated over the last week and added more dependencies...
Comment 7 Jamie Nguyen 2014-03-19 14:38:01 EDT
Spec URL: http://jamielinux.fedorapeople.org/gruntjs/nodejs-grunt-contrib-uglify.spec
SRPM URL: http://jamielinux.fedorapeople.org/gruntjs/SRPMS/nodejs-grunt-contrib-uglify-0.4.0-2.fc21.src.rpm

* Wed Mar 19 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.4.0-2
- 'nodejs_fixdep uglify-js' required because our dependency handler doesn't yet
  support the package.json '^' notation
Comment 8 T.C. Hollingsworth 2014-03-20 20:56:20 EDT
(In reply to Jamie Nguyen from comment #7)
> - 'nodejs_fixdep uglify-js' required because our dependency handler doesn't
> yet
>   support the package.json '^' notation

Please comment on https://lists.fedoraproject.org/pipermail/nodejs/2014-March/000105.html and my reply so we can get support not only in the dependency generator but enhanced support in %nodejs_fixdep so we can use this dependency style in our packages to significantly reduce the pain in keeping modules up to date.
Comment 9 Tom Hughes 2014-04-01 13:31:22 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 5 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.1.36 starting...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
Mock Version: 1.1.36
INFO: Mock Version: 1.1.36
Start: lock buildroot
INFO: installing package(s): /home/tom/977125-nodejs-grunt-contrib-uglify/results/nodejs-grunt-contrib-uglify-0.4.0-2.fc21.noarch.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/compton-rawhide-x86_64/root/', 'install', '/home/tom/977125-nodejs-grunt-contrib-uglify/results/nodejs-grunt-contrib-uglify-0.4.0-2.fc21.noarch.rpm']
Error: Package: nodejs-grunt-contrib-uglify-0.4.0-2.fc21.noarch (/nodejs-grunt-contrib-uglify-0.4.0-2.fc21.noarch)
           Requires: npm(maxmin)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest



Rpmlint
-------
Checking: nodejs-grunt-contrib-uglify-0.4.0-2.fc21.noarch.rpm
          nodejs-grunt-contrib-uglify-0.4.0-2.fc21.src.rpm
nodejs-grunt-contrib-uglify.noarch: W: spelling-error Summary(en_US) Minify -> Magnify
nodejs-grunt-contrib-uglify.noarch: W: spelling-error %description -l en_US Minify -> Magnify
nodejs-grunt-contrib-uglify.noarch: W: only-non-binary-in-usr-lib
nodejs-grunt-contrib-uglify.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-contrib-uglify/node_modules/chalk /usr/lib/node_modules/chalk
nodejs-grunt-contrib-uglify.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-contrib-uglify/node_modules/uglify-js /usr/lib/node_modules/uglify-js@2
nodejs-grunt-contrib-uglify.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-contrib-uglify/node_modules/maxmin /usr/lib/node_modules/maxmin
nodejs-grunt-contrib-uglify.src: W: spelling-error Summary(en_US) Minify -> Magnify
nodejs-grunt-contrib-uglify.src: W: spelling-error %description -l en_US Minify -> Magnify
nodejs-grunt-contrib-uglify.src: W: invalid-url Source2: docs-v0.4.0.tar.bz2
nodejs-grunt-contrib-uglify.src: W: invalid-url Source1: tests-v0.4.0.tar.bz2
2 packages and 0 specfiles checked; 0 errors, 10 warnings.




Requires
--------
nodejs-grunt-contrib-uglify (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(chalk)
    npm(maxmin)
    npm(uglify-js)



Provides
--------
nodejs-grunt-contrib-uglify:
    nodejs-grunt-contrib-uglify
    npm(grunt-contrib-uglify)



Source checksums
----------------
http://registry.npmjs.org/grunt-contrib-uglify/-/grunt-contrib-uglify-0.4.0.tgz :
  CHECKSUM(SHA256) this package     : ef9ecb0219f15d9934b6331e50e400de9339c976dd20dfc6e964022a000e07a3
  CHECKSUM(SHA256) upstream package : ef9ecb0219f15d9934b6331e50e400de9339c976dd20dfc6e964022a000e07a3


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 977125
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 10 Tom Hughes 2014-04-01 13:32:08 EDT
The install that fedora-review did failed because the maxmin stack hasn't reached my mirror yet but other than that it all looks good, so package is approved.
Comment 11 Jamie Nguyen 2014-04-01 16:02:14 EDT
New Package SCM Request
=======================
Package Name: nodejs-grunt-contrib-uglify
Short Description: Minify files with UglifyJS
Owners: jamielinux patches
Branches:
InitialCC:
Comment 12 Gwyn Ciesla 2014-04-02 07:58:31 EDT
Git done (by process-git-requests).
Comment 14 T.C. Hollingsworth 2014-04-10 19:04:18 EDT
Package Change Request
======================
Package Name: nodejs-grunt-contrib-uglify
New Branches: f20 el6
Owners: jamielinux patches
Comment 15 T.C. Hollingsworth 2014-04-10 21:28:22 EDT
Never mind the CVS request, I remember the problem here now.  :-(
Comment 16 Jamie Nguyen 2014-05-08 14:12:06 EDT
Package Change Request
======================
Package Name: nodejs-maxmin
New Branches: f20 f19 el6
Owners: jamielinux patches
Comment 17 Jamie Nguyen 2014-05-08 14:12:32 EDT
Package Change Request
======================
Package Name: nodejs-grunt-contrib-uglify
New Branches: f20 f19 el6
Owners: jamielinux patches
Comment 18 Gwyn Ciesla 2014-05-08 14:41:00 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.